List managed wallets
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prudra.dev/wallet-infra/master-wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.prudra.dev/wallet-infra/master-wallets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.prudra.dev/wallet-infra/master-wallets \
--header 'Authorization: Bearer <token>'[
{
"id": "mwt_abc123",
"address": "0x742d35Cc...",
"chain": "base",
"chainId": 8453,
"network": "mainnet",
"provisionStatus": "active",
"supportedTokens": [
"USDC"
],
"keyVersion": "v1_1746000000000",
"createdAt": "2023-11-07T05:31:56Z"
}
]Wallets
List managed wallets
GET
/
wallet-infra
/
master-wallets
List managed wallets
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prudra.dev/wallet-infra/master-wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.prudra.dev/wallet-infra/master-wallets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.prudra.dev/wallet-infra/master-wallets \
--header 'Authorization: Bearer <token>'[
{
"id": "mwt_abc123",
"address": "0x742d35Cc...",
"chain": "base",
"chainId": 8453,
"network": "mainnet",
"provisionStatus": "active",
"supportedTokens": [
"USDC"
],
"keyVersion": "v1_1746000000000",
"createdAt": "2023-11-07T05:31:56Z"
}
]Authorizations
Your Prudra API key. Get one at dashboard.prudra.com/settings/api-keys
Response
200 - application/json
List of managed wallets
Example:
"mwt_abc123"
Example:
"0x742d35Cc..."
Example:
"base"
Example:
8453
Example:
"mainnet"
Example:
"active"
Example:
["USDC"]
Example:
"v1_1746000000000"

